unable to create working installation rpm

Post Reply
sadams54
Posts: 52
Joined: Monday 09th July 2018 3:43am

unable to create working installation rpm

Post by sadams54 » Wednesday 23rd September 2020 9:57pm

I have been having this issue for months now and nobody can help. I have working projects. I go to create the installation package for fedora so I am making an rpm. No errors come up and it creates fine. However I can't install it on any fedora 32 system. I normally use the software installer and all dependencies are put in for me. I installed gambas3-runtime using dnf and no issues there. below is an example of the attempt to install using terminal. Signed in as normal user or root gives same result.. I have tried on multiple systems including the one I used for this sample which is a fresh install with all updates. If I try to use the software installer I get this.
Screenshot from 2020-09-23 13-54-26.png
Screenshot from 2020-09-23 13-54-26.png (15.54 KiB) Viewed 469 times
[test@localhost ~]$ rpm -ivh rename-1.0.8-1.fdr.noarch.rpm
error: Failed dependencies:
gambas3-gb-form >= 3.14 is needed by rename-1.0.8-1.fdr.noarch
gambas3-gb-form < 3.99.0 is needed by rename-1.0.8-1.fdr.noarch
gambas3-gb-gtk >= 3.14 is needed by rename-1.0.8-1.fdr.noarch
gambas3-gb-gtk < 3.99.0 is needed by rename-1.0.8-1.fdr.noarch
gambas3-gb-image >= 3.14 is needed by rename-1.0.8-1.fdr.noarch
gambas3-gb-image < 3.99.0 is needed by rename-1.0.8-1.fdr.noarch
gambas3-gb-settings >= 3.14 is needed by rename-1.0.8-1.fdr.noarch
gambas3-gb-settings < 3.99.0 is needed by rename-1.0.8-1.fdr.noarch

User avatar
cogier
Site Admin
Posts: 517
Joined: Wednesday 21st September 2016 2:22pm
Location: Guernsey, Channel Islands

Re: unable to create working installation rpm

Post by cogier » Thursday 24th September 2020 3:19pm

Just a thought, if you use dnf to install gambas3-gb-form, gambas3-gb-gtk, gambas3-gb-image & gambas3-gb-settings does that help?

sadams54
Posts: 52
Joined: Monday 09th July 2018 3:43am

Re: unable to create working installation rpm

Post by sadams54 » Thursday 24th September 2020 6:10pm

yes it does make a difference. It clears up the missing dependancies but not the final problem. I still get the below message just like installing from software install. This is a recreatable issue. I am getting it on multiple fedora 32 machines.
Screenshot from 2020-09-24 10-07-06.png
Screenshot from 2020-09-24 10-07-06.png (15.07 KiB) Viewed 455 times

User avatar
gbWilly
Posts: 35
Joined: Friday 23rd September 2016 11:41am
Location: Netherlands
Contact:

Re: unable to create working installation rpm

Post by gbWilly » Tuesday 29th September 2020 12:17pm

Hi sadams54,

Apparently the package util-linux-2.35.1-1.fc32.x86_64 already contains a file/binary named 'rename'.
That's what causes your conflict as your package is also named 'rename'

I suggest you name your package differently and try again.
gbWilly
- Dutch translation for Gambas3
- Gambas wiki content contributer


... there is always a Catch if things go wrong!

sadams54
Posts: 52
Joined: Monday 09th July 2018 3:43am

Re: unable to create working installation rpm

Post by sadams54 » Thursday 01st October 2020 6:29pm

gbWilly wrote:
Tuesday 29th September 2020 12:17pm
Hi sadams54,

Apparently the package util-linux-2.35.1-1.fc32.x86_64 already contains a file/binary named 'rename'.
That's what causes your conflict as your package is also named 'rename'

I suggest you name your package differently and try again.
Holy crap it was that easy. I sat for months not able to figure out the obvious. Thank you for pointing it out and I made the change. now it works right.

Post Reply